Bug 1238411 - Two Week Atomic
Summary: Two Week Atomic
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kurik
QA Contact:
URL:
Whiteboard: ChangeAcceptedF23, SystemWideChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 19:51 UTC by Jan Kurik
Modified: 2016-09-29 11:25 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-29 11:25:43 UTC


Attachments (Terms of Use)

Description Jan Kurik 2015-07-01 19:51:15 UTC
This is a tracking bug for Change: Two Week Atomic
For more details, see: https://fedoraproject.org/wiki/Changes/Two_Week_Atomic

Fedora Atomic Host is an implementation of the Project Atomic pattern for a specialized operating system for the deployment of containerized applications. For the past two Fedora releases, we've included an Atomic Host cloud image as a non-blocking deliverable. However, upstream Atomic is moving very fast - by the end of the alpha, beta, final stabilization cycle Fedora uses, the released artifact is basically obsolete. Additionally, the Project Atomic team at Red Hat would like to do their ongoing development work in the Fedora upstream, and the six-month release cycle does not lend itself to that.

Comment 1 Jan Kurik 2015-07-14 14:02:47 UTC
This message is a reminder that Fedora 23 Change Checkpoint: Completion deadline (testable) is on 2015-07-28 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 2 Jan Kurik 2015-07-15 13:51:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Jan Kurik 2015-09-01 14:54:23 UTC
This message is a reminder that Fedora 23 Change Checkpoint: 100% Code Complete Deadline is on 2015-Sep-08 [1].

Expected bug state is ON_QA - Change has to be code complete and is possible to test it in the Beta release.

Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution.  It's important milestone as contingency plan may be put into effect if the Change that miss this deadline.

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 4 Dennis Gilmore 2015-09-02 20:02:56 UTC
Tooling is in place, we are making f22 trees daily now.

Comment 5 Matthew Miller 2015-09-03 15:07:10 UTC
More detail: this change has four major components (refer to graphic at https://fedoraproject.org/w/uploads/2/29/TwoWeekAtomic-Overview-v2.png) - Build, Test, Release, and Present.

The Build and Test parts are on track and testable (Test is waiting on infrastructure, as I understand it). Adam Miller will be working on the Release part, which is crucial for _automated_ releasing of the images, but for beta, we could instead go with a manual release. (This would also mean manual update of the web site.)

Comment 6 Tomáš Hozza 🤓 2015-09-07 09:24:35 UTC
(In reply to Matthew Miller from comment #5)
> More detail: this change has four major components (refer to graphic at
> https://fedoraproject.org/w/uploads/2/29/TwoWeekAtomic-Overview-v2.png) -
> Build, Test, Release, and Present.
> 
> The Build and Test parts are on track and testable (Test is waiting on
> infrastructure, as I understand it). Adam Miller will be working on the
> Release part, which is crucial for _automated_ releasing of the images, but
> for beta, we could instead go with a manual release. (This would also mean
> manual update of the web site.)

The change should be in ON_QA state for the Beta. Please attend the Wednesday's (2015-09-09) FESCo meeting to explain the state if possible.

Comment 7 Matthew Miller 2015-09-18 15:33:48 UTC
Status update:

1. Images are produced nightly
   - uh, right now, F23 image seems like it might be broken
2. testing system works and is waiting to go into production
   - open questions on vagrant and openqa, but those have made progress
3. Adam estimates a day for getting release engine into production after that
4. And then some time from Ralph to integrate into website
   (Because Cloud WG voted to aim "pivot" to atomic as post-23, this will
   go on https://getfedora.org/en/cloud/download/atomic.html rather than
   on new https://getfedora.org/en/atomic/)

Right now:

Plan A: at F23 release, have images produced via this Two-Week Atomic be what's shown on that download page, rather than the images from the general gold compose ("traditional")

Plan B: at F23 release, use the images from the traditional compose. Switch to Two-Week images two weeks later.


Colin says that the Atomic dev team is good with switching to F23 as the base at F23 release -- no known need to lag.

Comment 8 Matthew Miller 2015-09-18 15:40:43 UTC
Kushal says that he's going to work with Fedora infrastructure on Monday to get the test system into production.

Comment 9 Amanda Carter 2015-10-08 18:27:20 UTC
Release plans update:

 * The website content will be updated to reflect our new 2 week cycle at GA
   * Note that we currently are blocked on this item b/c we don't have final content
 * We will deploy all backend code to production as soon as it's ready with the wiring to the website commented out
 * The first release will be done with f23 as the base but will be released using the 'old' method
 * we will uncomment out the code after this release so that 2 weeks following GA we can run our first 2 week update script

Any longer term changes to the website or creation of a new Atomic site will need to be a new request.


Note You need to log in before you can comment on or make changes to this bug.